Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.xul
Interface DefaultXulContentHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, DefaultContentHandler, ResettableContentHandler

    public interface DefaultXulContentHandler

extends DefaultContentHandler

Extension of the `AtomThreadingContentHandler` interface that provides convenience methods to more easily generate ATOM threading events.

The `atomXXX` methods generate complete ATOM tags, consisting of the start tag, an optional body and an end tag.

The `startXXX` methods are provided for convenience for those cases when no extra attributes are required for a starting element.

The `dateTime` methods write a date string in RFC3339 date format into a text() element.

The `uri` methods serialize URIs into a text() element.

The `text` methods serialize text() elements.

Since:
  6.0.1

Method Summary
`void` | `startMenuItem()`
`void` | `startPopup()`
`void` | `startPopupSet()`
`void` | `xulMenuItem()`

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getInnerContentHandler, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### startPopupSet

    void startPopupSet()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startPopup

    void startPopup()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startMenuItem

    void startMenuItem()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### xulMenuItem

    void xulMenuItem()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD